const path = require('path');
const handle = require('./handle');

test('上传功能', async () => {
    let file = path.resolve(__dirname, '../test/assets/test.upload.png')
    let result = await handle(file);
    expect(result.content).toMatch(/^http(s)?:\/\//);
});

test('Base64 功能', async () => {
    let file = path.resolve(__dirname, '../test/assets/test.base64.png')
    let result = await handle(file);
    expect(result.content).toMatch(/data:image\/[\w\W]*;base64,/);
});